Topologies
Get Topology by ID
Authorization<token>
User API key (Bearer scp_u_...). Create in Platform > API Keys.
In: header
Path Parameters
id*string
Topology ID
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://loading/api/v1/topology/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"meta": {
"api_version": 1,
"server_version": "0.17.3"
},
"success": true,
"data": {
"network_id": "d6797cf4-42b9-4cad-8591-9dd91c3f0fc3",
"options": {
"local": {
"bundle_edges": true,
"hide_edge_types": [
"Hypervisor"
],
"no_fade_edges": false,
"show_minimap": true,
"tag_filter": {
"hidden_host_tag_ids": [],
"hidden_service_tag_ids": [],
"hidden_subnet_tag_ids": []
}
},
"request": {
"container_rules": {
"Application": [
{
"id": "ddc3274e-300f-4bfc-9df0-ef56d53a106f",
"rule": {
"ByApplication": {
"tag_ids": []
}
}
}
],
"L2Physical": [
{
"id": "e7a3c95b-1a43-4219-8779-77484a4e9f1c",
"rule": "ByHost"
}
],
"L3Logical": [
{
"id": "d16238c5-4428-44f7-ba73-e9e959561189",
"rule": "BySubnet"
},
{
"id": "423f24fa-8acb-402b-9f03-6fd550bba700",
"rule": "MergeContainerBridges"
}
],
"Workloads": [
{
"id": "e7a3c95b-1a43-4219-8779-77484a4e9f1c",
"rule": "ByHost"
}
]
},
"element_rules": [
{
"id": "1aa0ad61-2d2b-4d7e-8e99-e83efdb4bab9",
"rule": "ByTrunkPort"
},
{
"id": "6faa7160-71c9-4dbc-8f69-21db2d837c4d",
"rule": "ByVLAN"
},
{
"id": "2d2a3449-4217-4424-946c-170108ae2fef",
"rule": "ByPortOpStatus"
},
{
"id": "503bd4ed-95ba-44e1-9094-62bce46b7c06",
"rule": {
"ByServiceCategory": {
"categories": [
"NetworkCore",
"NetworkAccess",
"RemoteAccess",
"Workstation",
"Mobile",
"Printer",
"OpenPorts"
],
"is_infra_rule": true,
"title": "Infrastructure"
}
}
},
{
"id": "e287861c-8930-4d09-a51a-b79899fe4e03",
"rule": {
"ByTag": {
"tag_ids": [],
"title": null
}
}
},
{
"id": "c2ffdab7-beb3-4b72-8653-3962298871dc",
"rule": "ByHypervisor"
},
{
"id": "d0e230f5-652e-45bf-8849-4eeee8fa4fa0",
"rule": "ByContainerRuntime"
},
{
"id": "39633a83-7a03-4e4d-8e54-62aada17f46b",
"rule": "ByStack"
}
],
"hide_entities": {},
"hide_metadata_values": {
"Application": {
"Service": {
"Category": [
"OpenPorts"
]
}
},
"L2Physical": {
"Service": {
"Category": [
"OpenPorts"
]
}
},
"L3Logical": {
"Service": {
"Category": [
"OpenPorts"
]
}
},
"Workloads": {
"Service": {
"Category": [
"OpenPorts"
]
}
}
}
}
},
"created_at": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"updated_at": "2019-08-24T14:15:22Z"
},
"error": "string"
}{
"meta": {
"api_version": 1,
"server_version": "0.17.3"
},
"success": true,
"code": "string",
"error": "string",
"params": {
"property1": null,
"property2": null
}
}